using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsWeekKeyWork {
        public FmsWeekKeyWork() {
        }

        //근무형태
        [Display(Name = "현장 고유번호")]
        public int SiteId { get; set; }
        [Display(Name = "주간 중점업무 고유번호"), Key]
        public int WeekKeyWorkId { get; set; }
        [Display(Name = "연도")]
        public int Year { get; set; }
        [Display(Name = "월")]
        public int Month { get; set; }
        [Display(Name = "주")]
        public int Week { get; set; }
        [Display(Name = "일자")]
        public DateTime WorkDate { get; set; }
        [Display(Name = "업무명"), Required]
        [StringLength(255)]
        public string WorkName { get; set; }
        [NotMapped]
        public bool IsAllSite { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite CmSite { get; set; }

    }
}
